Subject: [netlmm] Call for reviewers of draft-ietf-netlmm-pmipv6-mib-01

From: "Glenn M. Keeni" <[email-masked]>
Date: Thu, 12 Nov 2009 21:46:18 +0900

Hi,
  The pmipv6-mib draft is almost ready. The authors believe
that they are done with it. But before we suggest taking this
onto WGLC we would really want some reviews.
  Basavaraj has volunteered to do a review, Thanks. We need
a few more volunteers, please.

An abstract of the PMIPv6-MIB is attached. It is certainly
more readable than the MIB document itself and should help
in understanding the functionalities that will be supported.
The attached tree representation of the PMIPv6-MIB provides
another summary view that may help.

   Glenn

Abstract:
   The PMIPv6-MIB allows the network manager to monitor the following
       o capabilities of PMIPv6 entities and status[#1] of the 
         corresponding services.
       o configuration related parameters of PMIPv6 entities[#1]
       o traffic due to PMIPv6 signalling
       o binding related details (at LMA and MAG)
         BC at the LMA ( in conjunction with the MIPv6MIB) [Sec 5.1 #2]
         BL at the MAG ( in conjunction with the MIPv6MIB) [Sec 6.1]
       o binding related statistics (at LMA and MAG)
       o the Proxy Care-of Addresses configured on the egress 
         interfaces of the MAG                             [Sec 2.2, 6.10]
       o the Home Network Prefixes assigned to the MN's connected 
         interfaces                                        [Sec 2, 6.1, 6.2]
       o the mobile node's policy profile at the MAG       [Sec 6.2]
       o the LMA Addresses that are configured on the LMA  [Sec 2.2, 5.6]
       o the list of Home Network Prefixes assigned to the mobile 
         node's connected interfaces                       [Sec 2, 5.1]
       o asynchronous notifications from PMIPv6 entities every time a 
         tunnel, between the LMA and MAG, is established or released.
 
 #1: The parameters can be configured from a management console.
     Configurable Parameters
            pmip6Status
            pmip6MobileNodeGeneratedTimestampInUse
            pmip6FixedMagLinkLocalAddressOnAllAccessLinksType
            pmip6FixedMagLinkLocalAddressOnAllAccessLinks
            pmip6FixedMagLinkLayerAddressOnAllAccessLinks
            pmip6MagEnableMagLocalRouting
            pmip6MagHomeNetworkPrefixLifeTime
            pmip6LmaMinDelayBeforeBCEDelete
            pmip6LmaMaxDelayBeforeNewBCEAssign
            pmip6LmaTimestampValidityWindow
            pmip6LmaHomeNetworkPrefixLifeTime 
     All other objects are read-only.
     The MO names are self-explanatory. For details please refer to the 
     internet-draft at 
              http://www.ietf.org/id/draft-ietf-netlmm-pmipv6-mib-00.txt
    
 #2: The section numbers refer to section numbers in RFC 5213



Design Details of PMIPv6MIB
===========================

   It is assumed that the Proxy Mobile IPv6 Management Information Base
   (PMIPV6-MIB) will always be implemented in conjunction with the
   MOBILEIPV6-MIB [RFC4295] and the ifTable from the IF-MIB [RFC2863].
   The PMIP6-MIB uses the textual conventions defined in the INET-
   ADDRESS-MIB [RFC4001].

   The PMIPV6-MIB is composed of the following groups of definitions:

    - pmip6Core: a generic group containing objects that are common to 
      all the Proxy Mobile IPv6 entities.
    - pmip6Mag: this group models the mobile access gateway service.
      The subgroup pmip6MagConf contains objects which represent the 
      configuration of the mobile access gateway. 
    - pmip6Lma: this group models the local mobility anchor service.
      The subgroup pmip6LmaConf contains objects which represent the 
      configuration of the local mobility anchor. 
    - pmip6Notifications: defines the set of notifications that will be 
      used to asynchronously monitor the Proxy Mobile IPv6 entities.

   The tables contained in the above groups are as follows:
    - pmip6BindingCacheTable         : models the Binding Cache on the
                                       local mobility anchor.
    - pmip6MagProxyCOATable          : models the Proxy Care-of Addresses
                                       configured on the egress interfaces 
                                       of the mobile access gateway.
    - pmip6MagHomeNetworkPrefixTable : contains the Home Network Prefixes
                                       assigned to the mobile node's
                                       connected interfaces.
    - pmip6MagBLTable                : models the Binding Update List (BL) 
                                       that includes Proxy MIPv6 related 
                                       information and is maintained by the 
                                       mobile access gateway.
    - pmip6MagMnProfileTable         : contains the mobile node's policy 
                                       profile that includes the essential 
                                       operational parameters that are 
                                       required by the network entities for
                                       managing the mobile node's mobility 
                                       service.
    - pmip6LmaLMAATable              : contains the LMA Addresses that are 
                                       configured on the local mobility 
                                       anchor. Each LMA Address acts as a
                                       transport endpoint of the tunnel 
                                       between the local mobility anchor and 
                                       the mobile access gateway.
    - pmip6LmaHomeNetworkPrefixTable : contains the list of Home Network 
                                       Prefixes assigned to the mobile node's 
                                       connected interfaces.

+--pmip6MIB(999)
   |
   +--pmip6Notifications(0)
   |  |
   |  +--pmip6MagHomeTunnelEstablished(1)
   |  +--pmip6MagHomeTunnelReleased(2)
   |  +--pmip6LmaHomeTunnelEstablished(3)
   |  +--pmip6LmaHomeTunnelReleased(4)
   |
   +--pmip6Objects(1)
   |  |
   |  +--pmip6Core(1)
   |  |  |
   |  |  +--pmip6System(1)
   |  |  |  |
   |  |  |  +-- -R-- BitString pmip6Capabilities(1)
   |  |  |  |        Values: mobilityAccessGateway(0), localMobilityAnchor(1)
   |  |  |  +-- -RW- EnumVal   pmip6Status(2)
   |  |  |           Values: enabled(1), disabled(2)
   |  |  |
   |  |  +--pmip6Bindings(2)
   |  |  |  |
   |  |  |  +--pmip6BindingCacheTable(1)
   |  |  |     |
   |  |  |     +--pmip6BindingCacheEntry(1)
   |  |  |        |
   |  |  |        +-- -R-- EnumVal   pmip6BindingPBUFlag(1)
   |  |  |        |        Textual Convention: TruthValue
   |  |  |        |        Values: true(1), false(2)
   |  |  |        +-- -R-- String    pmip6BindingMnIdentifier(2)
   |  |  |        |        Textual Convention: Pmip6MNIdentifier
   |  |  |        |        Size: 0..255
   |  |  |        +-- -R-- String    pmip6BindingMnLlIdentifier(3)
   |  |  |        |        Textual Convention: Pmip6MNLlIdentifier
   |  |  |        |        Size: 0..255
   |  |  |        +-- -R-- EnumVal   pmip6BindingMagLinkLocalAddressType(4)
   |  |  |        |        Textual Convention: InetAddressType
   |  |  |        |        Values: unknown(0), ipv4(1), ipv6(2), ipv4z(3), ipv6z(4), dns(16)
   |  |  |        +-- -R-- String    pmip6BindingMagLinkLocalAddress(5)
   |  |  |        |        Textual Convention: InetAddress
   |  |  |        |        Size: 0..255
   |  |  |        +-- -R-- String    pmip6BindingTunnelIfIdentifier(6)
   |  |  |        |        Textual Convention: Ipv6AddressIfIdentifierTC
   |  |  |        |        Size: 0..8
   |  |  |        +-- -R-- EnumVal   pmip6BindingAccessTechnologyType(7)
   |  |  |        |        Textual Convention: Pmip6PBUAccessTechnologyType
   |  |  |        |        Values: reserved(0), logicalNetworkInterface(1), pointToPointInterface(2), ethernet(3), wirelessLan(4), wimax(5)
   |  |  |        +-- -R-- String    pmip6BindingTimeRecentlyAccepted(8)
   |  |  |                 Textual Convention: DateAndTime
   |  |  |                 Size: 8 | 11
   |  |  |
   |  |  +--pmip6Conf(3)
   |  |  |  |
   |  |  |  +-- -RW- EnumVal   pmip6MobileNodeGeneratedTimestampInUse(1)
   |  |  |  |        Textual Convention: TruthValue
   |  |  |  |        Values: true(1), false(2)
   |  |  |  +-- -RW- EnumVal   pmip6FixedMagLinkLocalAddressOnAllAccessLinksType(2)
   |  |  |  |        Textual Convention: InetAddressType
   |  |  |  |        Values: unknown(0), ipv4(1), ipv6(2), ipv4z(3), ipv6z(4), dns(16)
   |  |  |  +-- -RW- String    pmip6FixedMagLinkLocalAddressOnAllAccessLinks(3)
   |  |  |  |        Textual Convention: InetAddress
   |  |  |  |        Size: 0..255
   |  |  |  +-- -RW- String    pmip6FixedMagLinkLayerAddressOnAllAccessLinks(4)
   |  |  |           Textual Convention: PhysAddress
   |  |  |
   |  |  +--pmip6Stats(4)
   |  |     |
   |  |     +--pmip6BindingRegCounters(1)
   |  |        |
   |  |        +-- -R-- Counter   pmip6MissingMnIdentifierOption(1)
   |  |        +-- -R-- Counter   pmip6MagNotAuthorizedForProxyReg(2)
   |  |        +-- -R-- Counter   pmip6NotLMAForThisMobileNode(3)
   |  |        +-- -R-- Counter   pmip6ProxyRegNotEnabled(4)
   |  |        +-- -R-- Counter   pmip6MissingHomeNetworkPrefixOption(5)
   |  |        +-- -R-- Counter   pmip6MissingHandOffIndicatorOption(6)
   |  |        +-- -R-- Counter   pmip6MissingAccessTechTypeOption(7)
   |  |        +-- -R-- Counter   pmip6NotAuthorizedForHomeNetworkPrefix(8)
   |  |        +-- -R-- Counter   pmip6TimestampMismatch(9)
   |  |        +-- -R-- Counter   pmip6TimestampLowerThanPrevAccepted(10)
   |  |        +-- -R-- Counter   pmip6BcePbuPrefixSetDoNotMatch(11)
   |  |        +-- -R-- Counter   pmip6InitialBindingRegistrations(12)
   |  |        +-- -R-- Counter   pmip6BindingLifeTimeExtensionNoHandOff(13)
   |  |        +-- -R-- Counter   pmip6BindingLifeTimeExtensionAfterHandOff(14)
   |  |        +-- -R-- Counter   pmip6BindingDeRegistrations(15)
   |  |        +-- -R-- Counter   pmip6BindingBindingAcks(16)
   |  |        +-- -R-- TimeTicks pmip6CounterDiscontinuityTime(17)
   |  |                 Textual Convention: TimeStamp
   |  |
   |  +--pmip6Mag(2)
   |  |  |
   |  |  +--pmip6MagSystem(1)
   |  |  |  |
   |  |  |  +--pmip6MagProxyCOATable(1)
   |  |  |     |
   |  |  |     +--pmip6MagProxyCOAEntry(1)
   |  |  |        |  Index: pmip6MagProxyCOAType, pmip6MagProxyCOA
   |  |  |        |
   |  |  |        +-- ---- EnumVal   pmip6MagProxyCOAType(1)
   |  |  |        |        Textual Convention: InetAddressType
   |  |  |        |        Values: unknown(0), ipv4(1), ipv6(2), ipv4z(3), ipv6z(4), dns(16)
   |  |  |        +-- ---- String    pmip6MagProxyCOA(2)
   |  |  |        |        Textual Convention: InetAddress
   |  |  |        |        Size: 0..255
   |  |  |        +-- -R-- EnumVal   pmip6MagProxyCOAState(3)
   |  |  |                 Values: unknown(1), activated(2), tunneled(3)
   |  |  |
   |  |  +--pmip6MagConf(2)
   |  |  |  |
   |  |  |  +-- -RW- EnumVal   pmip6MagEnableMagLocalRouting(1)
   |  |  |  |        Textual Convention: TruthValue
   |  |  |  |        Values: true(1), false(2)
   |  |  |  |
   |  |  |  +--pmip6MagHomeNetworkPrefixTable(2)
   |  |  |     |
   |  |  |     +--pmip6MagHomeNetworkPrefixEntry(1)
   |  |  |        |  Index: pmip6MagBLMnIdentifier, pmip6MagBLlMnIdentifier, pmip6MagHomeNetworkPrefixType, pmip6MagHomeNetworkPrefix
   |  |  |        |
   |  |  |        +-- ---- EnumVal   pmip6MagHomeNetworkPrefixType(1)
   |  |  |        |        Textual Convention: InetAddressType
   |  |  |        |        Values: unknown(0), ipv4(1), ipv6(2), ipv4z(3), ipv6z(4), dns(16)
   |  |  |        +-- ---- String    pmip6MagHomeNetworkPrefix(2)
   |  |  |        |        Textual Convention: InetAddress
   |  |  |        |        Size: 0..255
   |  |  |        +-- -R-- Unsigned  pmip6MagHomeNetworkPrefixLength(3)
   |  |  |        |        Textual Convention: InetAddressPrefixLength
   |  |  |        |        Range: 0..2040
   |  |  |        +-- -RW- Gauge     pmip6MagHomeNetworkPrefixLifeTime(4)
   |  |  |
   |  |  +--pmip6MagRegistration(3)
   |  |     |
   |  |     +--pmip6MagBLTable(1)
   |  |     |  |
   |  |     |  +--pmip6MagBLEntry(1)
   |  |     |     |
   |  |     |     +-- -R-- EnumVal   pmip6MagBLFlag(1)
   |  |     |     |        Textual Convention: TruthValue
   |  |     |     |        Values: true(1), false(2)
   |  |     |     +-- -R-- String    pmip6MagBLMnIdentifier(2)
   |  |     |     |        Textual Convention: Pmip6MNIdentifier
   |  |     |     |        Size: 0..255
   |  |     |     +-- -R-- String    pmip6MagBLlMnIdentifier(3)
   |  |     |     |        Textual Convention: Pmip6MNLlIdentifier
   |  |     |     |        Size: 0..255
   |  |     |     +-- -R-- EnumVal   pmip6MagBLMagLinkLocalAddressType(4)
   |  |     |     |        Textual Convention: InetAddressType
   |  |     |     |        Values: unknown(0), ipv4(1), ipv6(2), ipv4z(3), ipv6z(4), dns(16)
   |  |     |     +-- -R-- String    pmip6MagBLMagLinkLocalAddress(5)
   |  |     |     |        Textual Convention: InetAddress
   |  |     |     |        Size: 0..255
   |  |     |     +-- -R-- String    pmip6MagBLMagIfIdentifierToMn(6)
   |  |     |     |        Textual Convention: Ipv6AddressIfIdentifierTC
   |  |     |     |        Size: 0..8
   |  |     |     +-- -R-- String    pmip6MagBLTunnelIfIdentifier(7)
   |  |     |     |        Textual Convention: Ipv6AddressIfIdentifierTC
   |  |     |     |        Size: 0..8
   |  |     |     +-- -R-- EnumVal   pmip6MagBLAccessTechnologyType(8)
   |  |     |     |        Textual Convention: Pmip6PBUAccessTechnologyType
   |  |     |     |        Values: reserved(0), logicalNetworkInterface(1), pointToPointInterface(2), ethernet(3), wirelessLan(4), wimax(5)
   |  |     |     +-- -R-- String    pmip6MagBLTimeRecentlyAccepted(9)
   |  |     |              Textual Convention: DateAndTime
   |  |     |              Size: 8 | 11
   |  |     |
   |  |     +--pmip6MagMnProfileTable(2)
   |  |        |
   |  |        +--pmip6MagMnProfileEntry(1)
   |  |           |  Index: pmip6MagMnIndex
   |  |           |
   |  |           +-- ---- Integer32 pmip6MagMnIndex(1)
   |  |           |        Textual Convention: Pmip6MNIndex
   |  |           |        Range: 1..2147483647
   |  |           +-- -R-- String    pmip6MagMnIdentifier(2)
   |  |           |        Textual Convention: Pmip6MNIdentifier
   |  |           |        Size: 0..255
   |  |           +-- -R-- EnumVal   pmip6MagMnLocalMobilityAnchorAddressType(3)
   |  |           |        Textual Convention: InetAddressType
   |  |           |        Values: unknown(0), ipv4(1), ipv6(2), ipv4z(3), ipv6z(4), dns(16)
   |  |           +-- -R-- String    pmip6MagMnLocalMobilityAnchorAddress(4)
   |  |                    Textual Convention: InetAddress
   |  |                    Size: 0..255
   |  |
   |  +--pmip6Lma(3)
   |     |
   |     +--pmip6LmaSystem(1)
   |     |  |
   |     |  +--pmip6LmaLMAATable(1)
   |     |     |
   |     |     +--pmip6LmaLMAAEntry(1)
   |     |        |  Index: pmip6LmaLMAAType, pmip6LmaLMAA
   |     |        |
   |     |        +-- ---- EnumVal   pmip6LmaLMAAType(1)
   |     |        |        Textual Convention: InetAddressType
   |     |        |        Values: unknown(0), ipv4(1), ipv6(2), ipv4z(3), ipv6z(4), dns(16)
   |     |        +-- ---- String    pmip6LmaLMAA(2)
   |     |        |        Textual Convention: InetAddress
   |     |        |        Size: 0..255
   |     |        +-- -R-- EnumVal   pmip6LmaLMAAState(3)
   |     |                 Values: unknown(1), activated(2), tunneled(3)
   |     |
   |     +--pmip6LmaConf(2)
   |        |
   |        +-- -RW- Integer32 pmip6LmaMinDelayBeforeBCEDelete(1)
   |        |        Range: 1..65535
   |        +-- -RW- Integer32 pmip6LmaMaxDelayBeforeNewBCEAssign(2)
   |        |        Range: 1..65535
   |        +-- -RW- Integer32 pmip6LmaTimestampValidityWindow(3)
   |        |        Range: 1..65535
   |        |
   |        +--pmip6LmaHomeNetworkPrefixTable(4)
   |           |
   |           +--pmip6LmaHomeNetworkPrefixEntry(1)
   |              |  Index: pmip6BindingMnIdentifier, pmip6BindingMnLlIdentifier, pmip6LmaHomeNetworkPrefixType, pmip6LmaHomeNetworkPrefix
   |              |
   |              +-- ---- EnumVal   pmip6LmaHomeNetworkPrefixType(1)
   |              |        Textual Convention: InetAddressType
   |              |        Values: unknown(0), ipv4(1), ipv6(2), ipv4z(3), ipv6z(4), dns(16)
   |              +-- ---- String    pmip6LmaHomeNetworkPrefix(2)
   |              |        Textual Convention: InetAddress
   |              |        Size: 0..255
   |              +-- -R-- Unsigned  pmip6LmaHomeNetworkPrefixLength(3)
   |              |        Textual Convention: InetAddressPrefixLength
   |              |        Range: 0..2040
   |              +-- -RW- Gauge     pmip6LmaHomeNetworkPrefixLifeTime(4)
   |
   +--pmip6Conformance(2)
      |
      +--pmip6Groups(1)
      |  |
      |  +--pmip6SystemGroup(1)
      |  +--pmip6BindingCacheGroup(2)
      |  +--pmip6StatsGroup(3)
      |  +--pmip6MagSystemGroup(4)
      |  +--pmip6MagConfigurationGroup(5)
      |  +--pmip6MagRegistrationGroup(6)
      |  +--pmip6LmaSystemGroup(7)
      |  +--pmip6LmaConfigurationGroup(8)
      |  |
      |  +--pmip6MagNotificationGroup(9)
      |  |
      |  +--pmip6LmaNotificationGroup(10)
      |
      +--pmip6Compliances(2)
         |
         +--pmip6CoreCompliance(1)
         +--pmip6Compliance2(2)
         +--pmip6CoreReadOnlyCompliance(3)
         +--pmip6ReadOnlyCompliance2(4)
         +--pmip6MagCoreCompliance(5)
         +--pmip6MagCompliance2(6)
         +--pmip6MagReadOnlyCompliance(7)
         +--pmip6LmaCoreCompliance(8)
         +--pmip6LmaCompliance2(9)
         +--pmip6MagNotificationCompliance(10)
         +--pmip6LmaNotificationCompliance(11)